//Torch Slug OnAttacked
p = entity.getPosition();
sound.playSound3D("sound.torchSlugHit", p.x, p.y, p.z);
try {
	entity.setHealth(entity.getHealth() - attackingDamage);
}
catch(e) {}

entity.setVelocity(0, 0.4, 0);

false; // So normal hurt sound doesn't play as well